Get tag dimension by key
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions/key/{dimensionKey} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions/key/{dimensionKey}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions/key/{dimensionKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"defined_values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"type": "TagValue",
"display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "com.layerfi.routers.ApiTagDimension",
"display_name": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
}
}{
"description": "<string>",
"meta": {}
}Tag Dimensions
Get tag dimension by key
Returns a tag dimension by its key string. This is an alternative to fetching by UUID.
GET
/
v1
/
businesses
/
{businessId}
/
tags
/
dimensions
/
key
/
{dimensionKey}
Get tag dimension by key
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
The key string of the tag dimension to fetch.
Response
Tag dimension retrieved successfully.
Show child attributes
Show child attributes
āI